﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


public class CallCaseGetService
{
    const string USER_NAME = "YourUsername";
    const string PASSWORD = "YourPassword";

    static void Main(string[] args)
    {

        CallCaseGet();


    }

    //Call the case get service
    static void CallCaseGet()
    {


        //
        //Create an instance of the service 
        //
        Msc.Integration.ServiceCatalog.Sample.v4.CaseGetService.CaseGetService_3_6Client objSvc = new Msc.Integration.ServiceCatalog.Sample.v4.CaseGetService.CaseGetService_3_6Client("CaseGetService_3_6_cu");

        //
        //Add a username token header to the request.
        //
        objSvc.ClientCredentials.UserName.UserName = USER_NAME;
        objSvc.ClientCredentials.UserName.Password = PASSWORD;

        //
        //Create the CaseGet request
        //
        Msc.Integration.ServiceCatalog.Sample.v4.CaseGetService.CaseGetRequest objCaseGetRequest = new Msc.Integration.ServiceCatalog.Sample.v4.CaseGetService.CaseGetRequest();
        objCaseGetRequest.schemaVersion = "3:6";

        //add the court file number
        Msc.Integration.ServiceCatalog.Sample.v4.CaseGetService.CaseGetRequestSelection objSelection = new Msc.Integration.ServiceCatalog.Sample.v4.CaseGetService.CaseGetRequestSelection();
        objCaseGetRequest.Selection = objSelection;
        Msc.Integration.ServiceCatalog.Sample.v4.CaseGetService.CourtFileNumberType objCFN = new Msc.Integration.ServiceCatalog.Sample.v4.CaseGetService.CourtFileNumberType();
        objCFN.ID = "10-TR-03-3200";
        objSelection.Items = new object[1];
        objSelection.Items[0] = objCFN;

        //add the options
        Msc.Integration.ServiceCatalog.Sample.v4.CaseGetService.CaseOptionsType objOptions = new Msc.Integration.ServiceCatalog.Sample.v4.CaseGetService.CaseOptionsType();
        objCaseGetRequest.CaseOptions = objOptions;
        Msc.Integration.ServiceCatalog.Sample.v4.CaseGetService.CaseOptionsTypeCourtCaseHeaderGroup objCaseHeaderOptions = new Msc.Integration.ServiceCatalog.Sample.v4.CaseGetService.CaseOptionsTypeCourtCaseHeaderGroup();
        objCaseHeaderOptions.SelectedIndicator = true;
        objOptions.CourtCaseHeaderGroup = objCaseHeaderOptions;




        //
        //If the address that is in the WSDL that the service was generated from is different from the
        //address you need to send the request to change its value in the app.config file.
        //

        //
        //Make the request
        //
        Msc.Integration.ServiceCatalog.Sample.v4.CaseGetService.CaseGetReply objCaseGetReply;
        objCaseGetReply = objSvc.CaseGet(objCaseGetRequest);



    }
}

